<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.system.dal.mysql.home.HomeServiceItemMapper">

    <select id="selectPageWithCategory" resultType="cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceItemPageRespVO">
        select
            i.id,
            i.category_id as categoryId,
            c.name as categoryName,
            i.item_name as itemName,
            i.icon,
            i.summarize,
            i.detail,
            i.amount,
            i.status,
            i.cost_type as costType,
            i.is_deduct_elder_fee as isDeductElderFee,
            i.commission_type as commissionType,
            i.commission_number as commissionNumber,
            i.is_deduct_volunteer_fee as isDeductVolunteerFee,
            i.point,
            i.is_follow_up_visit as isFollowUpVisit,
            i.is_check_drug_contraindications as isCheckDrugContraindications,
            i.content,
            i.tenant_id as tenantId,
            i.create_time as createTime,
            i.update_time as updateTime,
            i.creator,
            i.updater
        from home_service_item i
        left join home_service_category c on c.id = i.category_id
        where 1 = 1
    </select>

</mapper>



